Namespace
library
Image / Tag
golang:1.13.9
Content Digest
sha256:e7f332caf6b3eba7bd7c5469d3d29fe0c386644b10bf8396cae8075cb2596abb
Details
Created

2020-03-31 19:44:58 UTC

Size

284 MB

Content Digest
Environment
GOLANG_VERSION

1.13.9

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:acd641cee0ec134334632eecb48cf0c487a224a27ad5661fcd7eed50b0a1ab34 - 17.18% (48.8 MB)

[#001] sha256:2912921d73f5acd94695512133a967d88800cdad68ebd0d274df8c09b5094faa - 2.68% (7.61 MB)

[#002] sha256:735acdf625f8ccb783f82429001ad885a8456b5844304818e223e547bc91b55c - 3.47% (9.86 MB)

[#003] sha256:386e97cf1d6fd009009b5f713b87e4f65e1504caca058d8794c6f6f23639d099 - 17.93% (50.9 MB)

[#004] sha256:d18b2e4247ddd69cfaad5f89822dd11dfd76f8dbdac4215a78e81bb5677f5d6a - 24.68% (70.1 MB)

[#005] sha256:9de56d5de736260e2c3d54356ca819e3b7e262bd5c2f2343c2396c755638d5f3 - 34.06% (96.7 MB)

[#006] sha256:59b0f709420bab212fbdc1ed7ffb119911a1bc9c8f5219ecb642c8e22a2baee4 - 0.0% (125 Bytes)


History
2020-03-31 00:39:25 UTC

/bin/sh -c #(nop) ADD file:3dbe042e711d452b61bbca02798da5695de980649d3fd51ae6983b2445eaa792 in /

2020-03-31 00:39:25 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-03-31 01:10:41 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-03-31 01:10:48 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-03-31 01:11:12 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-03-31 19:43:23 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2020-03-31 19:44:42 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.13.9

2020-03-31 19:44:55 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='f4ad8180dd0aaf7d7cda7e2b0a2bf27e84131320896d376549a7d849ecf237d7' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='a3c2941a1fde8692514ece7e2180a0e3ca70609f52756a66bc0ab68c63572361' ;; arm64) goRelArch='linux-arm64'; goRelSha256='b53cb466d7986e5e17a3d4c196bc95df08a35968eced5efd7e128387a246c46e' ;; i386) goRelArch='linux-386'; goRelSha256='a2744aa2ddc68d888e9f65c2cbe4c8b527b139688ce232ead90dc2961f8d51a8' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='90beb01962202f332be0a7c8dad2db3d30242759ba863db3f36c45d241940efc' ;; s390x) goRelArch='linux-s390x'; goRelSha256='a40949aaf55912b06df8fda511c33fde3e52d377706bdc095332652c1ad225e3' ;; *) goRelArch='src'; goRelSha256='34bb19d806e0bc4ad8f508ae24bade5e9fedfa53d09be63b488a9314d2d4f31d'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2020-03-31 19:44:56 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2020-03-31 19:44:57 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-03-31 19:44:58 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2020-03-31 19:44:58 UTC

/bin/sh -c #(nop) WORKDIR /go

Details
Created

2020-03-19 23:31:50 UTC

Size

2.26 GB

Content Digest
Environment
GIT_DOWNLOAD_SHA256

8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735

GIT_DOWNLOAD_URL

https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip

GIT_TAG

v2.23.0.windows.1

GIT_VERSION

2.23.0

GOLANG_VERSION

1.13.9

GOPATH

C:\gopath


Layers

[#000] sha256:65014b3c312172f10bd6701a063f9b5aaf9a916c2d2cb843d406a6f77ded3f8d - 63.28% (1.43 GB)

[#001] sha256:23645bd7ee0885911e1e2ab55ebcb36ce35795e1ceba9166ffd1b26dde18c3ee - 30.13% (697 MB)

[#002] sha256:a7fab05ac5ad4b2f665ad71b5c08a81e82bff7ea2fdcbb66c14193d2dd268875 - 0.0% (1.18 KB)

[#003] sha256:faa59504e8a6021f126b043b84b365caa6366766b8fb31f9152e0f859bcfe743 - 0.0% (1.16 KB)

[#004] sha256:66e8d18d31c69c104e81cb83056a05bf2d4e6d4c9c834cd23a1dd372bf5eba4b - 0.0% (1.19 KB)

[#005] sha256:8bc519099bf17d9b046eef0d0e32d954dc7e54a0fa76708db3ae859a8c63b5e2 - 0.0% (1.19 KB)

[#006] sha256:97ea92b91b1802207727bccdc5c099ba74e7557140d361b762c6107aa11d4632 - 0.0% (1.19 KB)

[#007] sha256:314fd97d425237bbcc41f14758f52ad3fde96f2c80c5eccb26754caf0c6648ad - 1.23% (28.4 MB)

[#008] sha256:8237be75b55557e43ddf8cbe4cb67c918a149b9c971ec24857c862665f51ff34 - 0.0% (1.19 KB)

[#009] sha256:5cf58a99dd488ee114fd242abf7b0cd3467bd9fba336c94c09c57f5f98355bad - 0.01% (287 KB)

[#010] sha256:7aca71adbf431da53fae6ea6487928abd98b7c69ebbd5a7c6c80b7884e9f91aa - 0.0% (1.19 KB)

[#011] sha256:30285bf52216ba9c7c30fca101fbe7f8f7ded21d9d0d4a2f284f456e5e902d86 - 5.36% (124 MB)

[#012] sha256:04aa02998bc2a41bdd184f9267a2cd7a268841ccc17302746e7a0e8bc96c7ba8 - 0.0% (1.32 KB)


History
2018-09-15 09:10:26 UTC

Apply image 1809-RTM-amd64

2020-03-06 11:12:29 UTC

Install update 1809-amd64

2020-03-11 00:42:10 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2020-03-11 12:14:42 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.23.0

2020-03-11 12:14:44 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.23.0.windows.1

2020-03-11 12:14:46 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip

2020-03-11 12:14:47 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735

2020-03-11 12:15:54 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ("git version") ...'; git version; Write-Host 'Complete.';

2020-03-11 12:15:56 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath

2020-03-11 12:16:23 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);

2020-03-19 23:29:03 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.13.9

2020-03-19 23:31:48 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://golang.org/dl/go{0}.windows-amd64.zip' -f $env:GOLANG_VERSION); Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = 'cf066aabdf4d83c251aaace14b57a35aafffd1fa67d54d907f27fb31e470a135'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Complete.';

2020-03-19 23:31:50 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath

Details
Created

2020-04-01 01:27:33 UTC

Size

294 MB

Content Digest
Environment
GOLANG_VERSION

1.13.9

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:f15005b0235fa8bd31cc6988c4f2758016fe412d696e81aecf73e52be079f19e - 16.32% (48 MB)

[#001] sha256:41ebfd3d2fd0de99b1c63aa36a507bf5555481d06e571d84ed84440d30671494 - 2.53% (7.45 MB)

[#002] sha256:b998346ba308e3362a85c7bf7faed28d0277c68203696134192fe812f809abb2 - 3.24% (9.53 MB)

[#003] sha256:f01ec562c947a8ca1b168415da6a4a8f8920808f9b5d6f420ef8fa9af249b1f1 - 16.78% (49.4 MB)

[#004] sha256:c5e092b8639b2b26d0a0604afc0365727825677987fcb3bcab945a793ae99e0e - 22.22% (65.4 MB)

[#005] sha256:89f17a5c26fc557bf6d36077d948272e3bb1a7e2ed7cec3589feed8467d6aeb9 - 38.92% (115 MB)

[#006] sha256:c9f73938539c05ec12492dbe6ed0414a0bc190cbda94c380a94334fbfc78b224 - 0.0% (124 Bytes)


History
2020-03-31 01:20:44 UTC

/bin/sh -c #(nop) ADD file:c027885123a178148eb4f51f10f4924740859f1f6e941e55580517f6d234e935 in /

2020-03-31 01:20:45 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-03-31 01:56:35 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-03-31 01:56:45 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-03-31 01:57:07 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-04-01 01:26:22 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2020-04-01 01:27:19 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.13.9

2020-04-01 01:27:31 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='f4ad8180dd0aaf7d7cda7e2b0a2bf27e84131320896d376549a7d849ecf237d7' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='a3c2941a1fde8692514ece7e2180a0e3ca70609f52756a66bc0ab68c63572361' ;; arm64) goRelArch='linux-arm64'; goRelSha256='b53cb466d7986e5e17a3d4c196bc95df08a35968eced5efd7e128387a246c46e' ;; i386) goRelArch='linux-386'; goRelSha256='a2744aa2ddc68d888e9f65c2cbe4c8b527b139688ce232ead90dc2961f8d51a8' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='90beb01962202f332be0a7c8dad2db3d30242759ba863db3f36c45d241940efc' ;; s390x) goRelArch='linux-s390x'; goRelSha256='a40949aaf55912b06df8fda511c33fde3e52d377706bdc095332652c1ad225e3' ;; *) goRelArch='src'; goRelSha256='34bb19d806e0bc4ad8f508ae24bade5e9fedfa53d09be63b488a9314d2d4f31d'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2020-04-01 01:27:31 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2020-04-01 01:27:31 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-04-01 01:27:32 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2020-04-01 01:27:33 UTC

/bin/sh -c #(nop) WORKDIR /go

Details
Created

2020-03-19 23:28:48 UTC

Size

5.5 GB

Content Digest
Environment
GIT_DOWNLOAD_SHA256

8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735

GIT_DOWNLOAD_URL

https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip

GIT_TAG

v2.23.0.windows.1

GIT_VERSION

2.23.0

GOLANG_VERSION

1.13.9

GOPATH

C:\gopath


Layers

[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 68.93% (3.79 GB)

[#001] sha256:a5d20b7a2294a0d2631f74f49fc34574484a692913559546ef0bceae789fd7a8 - 28.1% (1.54 GB)

[#002] sha256:f08cc5bf7287bc1d8f72edfe2439c99210e433230a22fc73264fcf1685850ed2 - 0.0% (1.08 KB)

[#003] sha256:14d561174ac001ca0d7adb9545849bd36e269ed33f40531a998720c250c43ffb - 0.0% (1.1 KB)

[#004] sha256:7d21a03a688a549f1ddaa9d9d5bb998cb8a2c0e9788b802541787ca3f1ed8ff8 - 0.0% (1.09 KB)

[#005] sha256:9c4d91f9428f64df474729562c61ed53946510b7ab35a33f254d5cae955259ba - 0.0% (1.13 KB)

[#006] sha256:64dd05a2f1cca3f7d532ddb895f160f78d4de3724c6ffcf07015232115e4a95f - 0.0% (1.13 KB)

[#007] sha256:8427dcc64be825a40aa719b7fa0062a8c227563d3d6e47a4239ea5e013d65401 - 0.52% (29.1 MB)

[#008] sha256:d45815090f3ebeaafd58a49c3138251d3bccaaa64ff19dfdf4e7f9c3ac65fd10 - 0.0% (1.1 KB)

[#009] sha256:009d25c2b0e7b36367e585fa0ea36993bf6e78051273a0e15e8251aff32436ad - 0.09% (5.13 MB)

[#010] sha256:f0bcafc195816c455902a41a14e2ed67c8bb2ef5b18c29d17454d9d704cc71cd - 0.0% (1.16 KB)

[#011] sha256:a147474aecc098f76582a37c9725cf31e5e52b2e0406a391033c1307cbe5ca53 - 2.36% (133 MB)

[#012] sha256:e8c35ae0777b6a6fab4a83707a9477fae7efeaf8f686b8077ded71fb7245318c - 0.0% (1.32 KB)


History
2016-11-19 17:05:00 UTC

Apply image 1607-RTM-amd64

2020-03-10 08:14:00 UTC

Install update ltsc2016-amd64

2020-03-13 21:32:46 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2020-03-18 12:12:50 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.23.0

2020-03-18 12:12:51 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.23.0.windows.1

2020-03-18 12:12:52 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip

2020-03-18 12:12:53 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735

2020-03-18 12:14:15 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ("git version") ...'; git version; Write-Host 'Complete.';

2020-03-18 12:14:16 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath

2020-03-18 12:15:28 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);

2020-03-19 23:25:06 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.13.9

2020-03-19 23:28:46 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://golang.org/dl/go{0}.windows-amd64.zip' -f $env:GOLANG_VERSION); Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = 'cf066aabdf4d83c251aaace14b57a35aafffd1fa67d54d907f27fb31e470a135'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Complete.';

2020-03-19 23:28:48 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath

Details
Created

2020-03-20 02:07:07 UTC

Size

249 MB

Content Digest
Environment
GOLANG_VERSION

1.13.9

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:3182cf45068cd9734abd8e38dedbb9930ede35ee8c11376ca2684e86f9a1aa85 - 17.57% (43.7 MB)

[#001] sha256:1b727ab99a6a790544e023dbba8625605266dd84b3a69acaa541144ad632f4ba - 2.72% (6.77 MB)

[#002] sha256:eab9435f7cf0c46bc6621020fd229e7de8baa61f71059cb9a34b9f681caed9aa - 3.58% (8.91 MB)

[#003] sha256:4f2ad791c8431e9b6624239d0b1fee2523df27584a263ec1d8d525201bb44087 - 18.13% (45.1 MB)

[#004] sha256:1a879613e63b581fbc31eac1107e244caddc95346001501421594071d0c92b42 - 20.33% (50.6 MB)

[#005] sha256:daf65b67b70fd4b0c8f9216f04075b1d4815e26a8ded7e75ec358ed6a36c7953 - 37.68% (93.8 MB)

[#006] sha256:3cb6f7c8a6fed048a132a4374996bffae53da647c44afaca90782a41107b30eb - 0.0% (156 Bytes)


History
2020-02-26 00:50:58 UTC

/bin/sh -c #(nop) ADD file:38fdfcc3155e437ce162aa0ed9dcdc5893b8145e2f3ede2858ed2187d79bf718 in /

2020-02-26 00:51:08 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-02-26 02:11:43 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-02-26 02:11:56 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-02-26 02:12:38 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-02-26 18:36:07 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2020-03-20 02:04:10 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.13.9

2020-03-20 02:06:23 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='f4ad8180dd0aaf7d7cda7e2b0a2bf27e84131320896d376549a7d849ecf237d7' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='a3c2941a1fde8692514ece7e2180a0e3ca70609f52756a66bc0ab68c63572361' ;; arm64) goRelArch='linux-arm64'; goRelSha256='b53cb466d7986e5e17a3d4c196bc95df08a35968eced5efd7e128387a246c46e' ;; i386) goRelArch='linux-386'; goRelSha256='a2744aa2ddc68d888e9f65c2cbe4c8b527b139688ce232ead90dc2961f8d51a8' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='90beb01962202f332be0a7c8dad2db3d30242759ba863db3f36c45d241940efc' ;; s390x) goRelArch='linux-s390x'; goRelSha256='a40949aaf55912b06df8fda511c33fde3e52d377706bdc095332652c1ad225e3' ;; *) goRelArch='src'; goRelSha256='34bb19d806e0bc4ad8f508ae24bade5e9fedfa53d09be63b488a9314d2d4f31d'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2020-03-20 02:06:32 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2020-03-20 02:06:41 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-03-20 02:06:58 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2020-03-20 02:07:07 UTC

/bin/sh -c #(nop) WORKDIR /go

Details
Created

2020-04-01 00:47:35 UTC

Size

266 MB

Content Digest
Environment
GOLANG_VERSION

1.13.9

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:5767fbcc7692f25971758138978eed9bd3add831a79561cd58bf281e60a5159f - 17.62% (46.9 MB)

[#001] sha256:4b632de0573ae234fd668631d1aba00e13ea3a66cdd1732e58533b119480e4e9 - 2.75% (7.33 MB)

[#002] sha256:84f852028d4482a56b904b98dfe16c9781cb55380b9a7f6b6cf59622e3ef0de0 - 3.58% (9.52 MB)

[#003] sha256:3ac5b037e60412fbff475fee9a38acf16d3117f0709631a272dd03197bf45378 - 18.67% (49.7 MB)

[#004] sha256:9987cbc2fd2d42712fd05e427e9969577c6e5564d1fda4b61a156ea7d62cca79 - 22.38% (59.6 MB)

[#005] sha256:adc9dd300c4cb85002038468d945fd97d2ada5568e05e36991e7d04efb2644dc - 35.0% (93.1 MB)

[#006] sha256:111f136183f17e21ca70b635871d40dd98760b60296671c4e0783749762376fd - 0.0% (156 Bytes)


History
2020-03-31 02:05:07 UTC

/bin/sh -c #(nop) ADD file:d0df7ac13226f8d35c078941a20d8a465b09a4e226c5ca37709fa23599cd56dc in /

2020-03-31 02:05:09 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-03-31 04:33:05 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-03-31 04:33:18 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-03-31 04:33:56 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-04-01 00:45:53 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2020-04-01 00:47:14 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.13.9

2020-04-01 00:47:30 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='f4ad8180dd0aaf7d7cda7e2b0a2bf27e84131320896d376549a7d849ecf237d7' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='a3c2941a1fde8692514ece7e2180a0e3ca70609f52756a66bc0ab68c63572361' ;; arm64) goRelArch='linux-arm64'; goRelSha256='b53cb466d7986e5e17a3d4c196bc95df08a35968eced5efd7e128387a246c46e' ;; i386) goRelArch='linux-386'; goRelSha256='a2744aa2ddc68d888e9f65c2cbe4c8b527b139688ce232ead90dc2961f8d51a8' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='90beb01962202f332be0a7c8dad2db3d30242759ba863db3f36c45d241940efc' ;; s390x) goRelArch='linux-s390x'; goRelSha256='a40949aaf55912b06df8fda511c33fde3e52d377706bdc095332652c1ad225e3' ;; *) goRelArch='src'; goRelSha256='34bb19d806e0bc4ad8f508ae24bade5e9fedfa53d09be63b488a9314d2d4f31d'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2020-04-01 00:47:32 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2020-04-01 00:47:33 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-04-01 00:47:35 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2020-04-01 00:47:35 UTC

/bin/sh -c #(nop) WORKDIR /go

Details
Created

2020-04-01 00:47:57 UTC

Size

287 MB

Content Digest
Environment
GOLANG_VERSION

1.13.9

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:2ee2adf89ee904a62d0e8993a1c564c340ff8a0d3ae152066c13e15fbae902ea - 18.02% (51.6 MB)

[#001] sha256:ff7915606b477e202ed2b21747b3be7759d7149f3196e41b5fb1cf369c4de0be - 2.75% (7.87 MB)

[#002] sha256:d2bbb0da6a42dc57d1f7b6790ad807eb7769963d865a7fbc93c11ad41ec9aa16 - 3.57% (10.2 MB)

[#003] sha256:70c4349e78867844cdb6b83633fcdacb72c4290b5d7124f9e8e94ea8c947dccb - 19.1% (54.7 MB)

[#004] sha256:8e8c002f0498ec3826f706d6d7d38a23274060e68f52d9f5a336477ec08d92f0 - 24.46% (70.1 MB)

[#005] sha256:cfd40f2cf4d75071aa62dd3ab708bde8135bf7be6218ce1d8cb65cc376891d66 - 32.11% (92 MB)

[#006] sha256:b8b7d5491e8c7de367e469977e4d1297c666788d77d84f73b5d6e1ca1876e6c0 - 0.0% (155 Bytes)


History
2020-03-31 01:32:00 UTC

/bin/sh -c #(nop) ADD file:ccb86d1c4380ce5c6d0f26560ca6d637d15f7a9dd5a3e56977bcf80edcac69ac in /

2020-03-31 01:32:04 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-03-31 03:17:37 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-03-31 03:18:25 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-03-31 03:20:00 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-04-01 00:43:30 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2020-04-01 00:47:05 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.13.9

2020-04-01 00:47:25 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='f4ad8180dd0aaf7d7cda7e2b0a2bf27e84131320896d376549a7d849ecf237d7' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='a3c2941a1fde8692514ece7e2180a0e3ca70609f52756a66bc0ab68c63572361' ;; arm64) goRelArch='linux-arm64'; goRelSha256='b53cb466d7986e5e17a3d4c196bc95df08a35968eced5efd7e128387a246c46e' ;; i386) goRelArch='linux-386'; goRelSha256='a2744aa2ddc68d888e9f65c2cbe4c8b527b139688ce232ead90dc2961f8d51a8' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='90beb01962202f332be0a7c8dad2db3d30242759ba863db3f36c45d241940efc' ;; s390x) goRelArch='linux-s390x'; goRelSha256='a40949aaf55912b06df8fda511c33fde3e52d377706bdc095332652c1ad225e3' ;; *) goRelArch='src'; goRelSha256='34bb19d806e0bc4ad8f508ae24bade5e9fedfa53d09be63b488a9314d2d4f31d'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2020-04-01 00:47:34 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2020-04-01 00:47:39 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-04-01 00:47:50 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2020-04-01 00:47:57 UTC

/bin/sh -c #(nop) WORKDIR /go

Details
Created

2020-03-31 12:54:14 UTC

Size

264 MB

Content Digest
Environment
GOLANG_VERSION

1.13.9

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:e5611e94178b5632fbdf7d00655f2a077f35fbef849c9665429c154c52784cd2 - 17.71% (46.7 MB)

[#001] sha256:4da65af62001a02cf6d0b02d633e449ec3633ca0c76bd16cd34bcf2ef28a6352 - 2.67% (7.04 MB)

[#002] sha256:d6d21d967603e5e4c423c0f549b7978e548b4e142bf03cb70c03051062726687 - 3.57% (9.42 MB)

[#003] sha256:42f16d16a70de35898b54cdb65d4a93001ec7fbbee85141930397ec5ab35b6b2 - 18.57% (48.9 MB)

[#004] sha256:69d3cb6c4137d1caa2295474c52d7df2b7c299b53d502e6755758ec53a65eb5f - 20.5% (54 MB)

[#005] sha256:be71c0234a2c65f0cad776acc0a7bdc505be7c6c12bb49def081cafac943befd - 36.98% (97.5 MB)

[#006] sha256:38a50ce2ad06196fc9363e15df92ff6fe2d90109296d495b26c0db4800faf0cd - 0.0% (155 Bytes)


History
2020-03-31 01:08:46 UTC

/bin/sh -c #(nop) ADD file:a2690e2e8794d163493c5a6daa8b6503432365b11e48372e175d855c28ec64db in /

2020-03-31 01:08:49 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-03-31 02:20:52 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-03-31 02:20:56 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-03-31 02:21:16 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-03-31 12:52:47 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2020-03-31 12:53:58 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.13.9

2020-03-31 12:54:09 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='f4ad8180dd0aaf7d7cda7e2b0a2bf27e84131320896d376549a7d849ecf237d7' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='a3c2941a1fde8692514ece7e2180a0e3ca70609f52756a66bc0ab68c63572361' ;; arm64) goRelArch='linux-arm64'; goRelSha256='b53cb466d7986e5e17a3d4c196bc95df08a35968eced5efd7e128387a246c46e' ;; i386) goRelArch='linux-386'; goRelSha256='a2744aa2ddc68d888e9f65c2cbe4c8b527b139688ce232ead90dc2961f8d51a8' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='90beb01962202f332be0a7c8dad2db3d30242759ba863db3f36c45d241940efc' ;; s390x) goRelArch='linux-s390x'; goRelSha256='a40949aaf55912b06df8fda511c33fde3e52d377706bdc095332652c1ad225e3' ;; *) goRelArch='src'; goRelSha256='34bb19d806e0bc4ad8f508ae24bade5e9fedfa53d09be63b488a9314d2d4f31d'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2020-03-31 12:54:13 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2020-03-31 12:54:14 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-03-31 12:54:14 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2020-03-31 12:54:14 UTC

/bin/sh -c #(nop) WORKDIR /go